Subject: interfacing prolog with C

From: Ankit Jalote <[email-masked]>
Date: Thu, 18 May 2000 08:41:55 +0530 (IST)

Respected Sir,
              I am facing a problem.What I have to do is that I have to
write a C program which observes certain actions like A man walking,or he
is picking up the ball etc.The program maintains a database which is a set
of facts regarding the spatial relations of the various objects in the
domain like near(man,ball) meaning that man is near the ball,
pick(man,ball) meaning man picks up the ball.This part is already done.Now
what I have to do is to call prolog rules to understand these facts and
generate the natural language output of the action happening say The man
goes near the ball or The man picks up the ball.I am having problems with
the interfacing parts.Can you specify the steps this should be done.
                   
                                                     thanking you,
                                                     
     						     your's sincerely,
                                                     Ankit Jalote